You are not logged in.

#126 2011-07-11 13:08:05

masteryod
Member
Registered: 2010-05-19
Posts: 433

Re: [kde-unstable] KDE 4.7

Offline

#127 2011-07-11 14:24:20

Zom
Member
From: Sweden
Registered: 2007-10-27
Posts: 406

Re: [kde-unstable] KDE 4.7

bash wrote:
sumski wrote:

Andrea , would you be so kind to include fix for the nepomuk issue with kde-runtime? I know this isn't a snapshot repo , but RC2 is already tagged and i think this is REALLY annoying bug ...

Yes, it was already in my plain, but I need to solve bug 27730 first smile

Offline

#128 2011-07-11 19:21:29

pano
Member
From: Stuttgart, Germany
Registered: 2008-09-08
Posts: 118

Re: [kde-unstable] KDE 4.7

@Bash

Is there a reason Arch Linux uses the raptor2 branch and not the “standard” branch?

some other links that might be helpful:
http://old.nabble.com/soprano-and-rapto … 59769.html
https://git.reviewboard.kde.org/r/10106 … /?expand=1


^^

Offline

#129 2011-07-12 07:29:53

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE 4.7

@pano
Because we are a bleeding edge distro and our raptor package is at 2.0.3.

Offline

#130 2011-07-12 11:28:47

pano
Member
From: Stuttgart, Germany
Registered: 2008-09-08
Posts: 118

Re: [kde-unstable] KDE 4.7

bash wrote:

@pano
Because we are a bleeding edge distro and our raptor package is at 2.0.3.

lol, makes sense ;-) thx :-)

Offline

#131 2011-07-12 12:09:07

Zom
Member
From: Sweden
Registered: 2007-10-27
Posts: 406

Re: [kde-unstable] KDE 4.7

Would it be possible to do as specified in the link pano posted, to compile redland and rasqal against raptor1 in extra while we wait for a fix upstream?

Offline

#132 2011-07-12 12:49:32

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE 4.7

Zom wrote:

Would it be possible to do as specified in the link pano posted, to compile redland and rasqal against raptor1 in extra while we wait for a fix upstream?

No, libreoffice and ardour depends on raptor too. I'm working with upstream to fix this ASAP.

Offline

#133 2011-07-12 17:37:30

Zom
Member
From: Sweden
Registered: 2007-10-27
Posts: 406

Re: [kde-unstable] KDE 4.7

bash wrote:
Zom wrote:

Would it be possible to do as specified in the link pano posted, to compile redland and rasqal against raptor1 in extra while we wait for a fix upstream?

No, libreoffice and ardour depends on raptor too. I'm working with upstream to fix this ASAP.

Oh.

Well, I saw your reply to the bug report. Thank you. smile

Offline

#134 2011-07-13 07:17:19

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE 4.7

masteryod wrote:

rc2 is out wink

ready in [kde-unstable]

Offline

#135 2011-07-13 08:11:48

mangus
Member
From: Bologna, Italy
Registered: 2007-04-07
Posts: 288

Re: [kde-unstable] KDE 4.7

I really hate those two
https://bugs.kde.org/show_bug.cgi?id=276841
https://bugs.kde.org/show_bug.cgi?id=261788
The last one is 6 month old, grrr
Great work as always Andrea, thank you very much

Offline

#136 2011-07-13 11:44:36

Loose_Control
Member
From: Germany
Registered: 2011-01-11
Posts: 123

Re: [kde-unstable] KDE 4.7

Zom wrote:
splashy wrote:

Yah yah sorry I mixed them because phonon didn't work but now with the update of the repo it's ok.
Is somebody encounter the same bug with pin apps?

Yeah, I've encountered the same bug, but with kdeplasma-addons-applets-smooth-tasks-kde-sc-46-hg from AUR (Basically, it's smooth-tasks patched to work with pinning apps).

I can pin applications, but when I close applications they still disappear. They're still pinned though, and they appear in the panel after I login again, and after I launch them and close the application, they disappear again.

I thought it was just the plasmoid that was buggy with 4.7, but I suppose the problem lies deeper than that.

Anybody else also having this problem?
With RC2 it is still not working correctly for me hmm

and Strigi now stopped working completely before it was just using the CPU without doing anything now it doesn't start anymore

Last edited by Loose_Control (2011-07-13 11:46:22)

Online

#137 2011-07-13 12:03:35

Zom
Member
From: Sweden
Registered: 2007-10-27
Posts: 406

Re: [kde-unstable] KDE 4.7

Loose_Control wrote:

Anybody else also having this problem?
With RC2 it is still not working correctly for me hmm

and Strigi now stopped working completely before it was just using the CPU without doing anything now it doesn't start anymore

This is not limited to RC2, but the problem appears to have been persistent through every pre-release of 4.7 so far.

https://bugs.kde.org/show_bug.cgi?id=276513

Hopefully it'll be fixed before it goes stable. smile

Last edited by Zom (2011-07-13 12:03:57)

Offline

#138 2011-07-13 16:03:48

infiniteh
Member
Registered: 2010-08-12
Posts: 12

Re: [kde-unstable] KDE 4.7

I've noticed a little problem with plasmoid toolbars when I use the grid desktop layout. Everything is explained in detail in my bug report.

https://bugs.kde.org/show_bug.cgi?id=277560.

Can anyone else confirm this?

Offline

#139 2011-07-13 20:32:47

sl1pkn07
Member
From: Spanishtán
Registered: 2010-03-30
Posts: 312

Re: [kde-unstable] KDE 4.7

works for me

but fail dropbox generate public link

https://bugs.kde.org/show_bug.cgi?id=277721

Last edited by sl1pkn07 (2011-07-13 20:45:12)

Offline

#140 2011-07-14 10:48:20

sumski
Member
From: Zagreb, Croatia
Registered: 2011-04-30
Posts: 114

Re: [kde-unstable] KDE 4.7

infiniteh wrote:

I've noticed a little problem with plasmoid toolbars when I use the grid desktop layout. Everything is explained in detail in my bug report.

https://bugs.kde.org/show_bug.cgi?id=277560.

Can anyone else confirm this?

Happens to me to , altough i don't use grid desktop

Offline

#141 2011-07-15 09:41:29

Lothium
Member
Registered: 2009-10-10
Posts: 192

Re: [kde-unstable] KDE 4.7

Can someone of you use the kcm-qt-graphicssystem module in rc2? I changed and reseted my kde-setup and installed the module, but everytime I change the settings to raster in this module and restart, the next time I log in it changes to x11. Do you have the same problems?

Best regards!

Offline

#142 2011-07-15 09:45:25

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE 4.7

@Lothium
there is no need to use that module, put "export QT_GRAPHICSSYSTEM=raster" in ~/.kde4/env/qt-graphicssystem.sh

Offline

#143 2011-07-15 10:55:06

Lothium
Member
Registered: 2009-10-10
Posts: 192

Re: [kde-unstable] KDE 4.7

Ahh ok thank you very much!

Offline

#144 2011-07-15 13:40:54

Damnshock
Member
From: Barcelona
Registered: 2006-09-13
Posts: 414

Re: [kde-unstable] KDE 4.7

bash wrote:

@Lothium
there is no need to use that module, put "export QT_GRAPHICSSYSTEM=raster" in ~/.kde4/env/qt-graphicssystem.sh

And make it executable. Right?

Regards


My blog: blog.marcdeop.com
Jabber ID: damnshock@jabber.org

Offline

#145 2011-07-15 14:25:01

adaptee
Member
From: China
Registered: 2010-02-02
Posts: 36

Re: [kde-unstable] KDE 4.7

Damnshock wrote:
bash wrote:

@Lothium
there is no need to use that module, put "export QT_GRAPHICSSYSTEM=raster" in ~/.kde4/env/qt-graphicssystem.sh

And make it executable. Right?

Regards

Well, that is not necessary.

The *.sh files under that directory are sourced, but not executed, by /usr/bin/startkde.  Read permission is enough.

Offline

#146 2011-07-18 01:36:35

victorhooi
Member
Registered: 2009-08-06
Posts: 109

Re: [kde-unstable] KDE 4.7

Hi,

Nb: Originally posted here - https://bbs.archlinux.org/viewtopic.php?pid=961120

I got an error when I tried to install the KDE meta group:

/usr/share/icons/mono/scalable/status/dialog-warning.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/mail-attachment.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/mail-task.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/object-locked.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/object-unlocked.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/security-high.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/security-low.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/security-medium.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/user-away.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/user-offline.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/user-online.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/user-trash-full.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/wallet-closed.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'
/usr/share/icons/mono/scalable/status/wallet-open.svgz exists in both 'kdeaccessibility-iconthemes' and 'kdeartwork-iconthemes'

Is this a packaging issue, or should I not be using the kde meta group?

I was able to successfully install it just now by manually installing each of the sub-meta-groups, but excluding the accessibility one:

sudo pacman -S kde-meta-kdeadmin kde-meta-kdeartwork kde-meta-kdebase kde-meta-kdeedu kde-meta-kdegames kde-meta-kdegraphics kde-meta-kdemultimedia kde-meta-kdenetwork kde-meta-kdepim kde-meta-kdeplasma-addons kde-meta-kdesdk kde-meta-kdetoys kde-meta-kdeutils kde-meta-kdewebdev

Obviously that's not a long-term solution.

Cheers,
Victor

Offline

#147 2011-07-18 07:03:14

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE 4.7

@victorhooi
You've to run:

sudo pacman -S kde-unstable/kde

Offline

#148 2011-07-18 19:34:46

dinsdale
Member
From: Riviere-du-loup
Registered: 2010-06-04
Posts: 15

Re: [kde-unstable] KDE 4.7

Could anyone running 4.7RC2 with kmail2 and kontact (akonadi 1.6)  fully set up (best with a couple of thousand emails ) please verify something for me?

It seems on my system akonadi has almost 200.000 files open.

lsof | grep akonadi | wc -l

218122

then:

akonadictl stop

and repeat

or:

lsof | grep -v akonadi | wc -l

24295

Is that normal? I realized it when 'tail -f' complained about missing inodes wanting to go back to polling.

Last edited by dinsdale (2011-07-18 21:38:23)

Offline

#149 2011-07-18 19:45:36

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [kde-unstable] KDE 4.7

@dinsdale
I cleaned my config two days ago, anyway I get:

$ lsof | grep akonadi | wc -l 
10881

with one IMAP account.

Offline

#150 2011-07-18 20:00:16

Lothium
Member
Registered: 2009-10-10
Posts: 192

Re: [kde-unstable] KDE 4.7

I get 6263 and also cleaned my config one week ago.

Offline

Board footer

Powered by FluxBB